package database

import "database/sql"

const CacheTypeAllCardsBulkData = "AllCardsBulkData"

func GetCacheTimestampByType(db *sql.DB, cacheType string) (string, error) {
	var timestamp string

	query := "SELECT Stamp FROM CacheTimestamp WHERE CacheType = ?;"
	err := db.QueryRow(query, cacheType).Scan(&timestamp)

	return timestamp, err
}
